Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::get_cursor_fn Struct Reference
Iterator

Get a cursor from a basic_iterator. More...

`#include <range/v3/iterator/basic_iterator.hpp>`

## Public Member Functions
template<typename Cur >
constexpr Cur | operator() (basic_iterator< Cur > &&it) const noexcept(std::is_nothrow_move_constructible< Cur >::value)
template<typename Cur >
constexpr Cur & | operator() (basic_iterator< Cur > &it) const noexcept
template<typename Cur >
constexpr Cur const & | operator() (basic_iterator< Cur > const &it) const noexcept

## Detailed Description

Get a cursor from a basic_iterator.